MsWksGraph::SendData Struct Reference

small struct used which picture need to be send More...

`#include <MsWksGraph.hxx>`

## Public Types
enum | Type { RBDR , RBIL , ALL }
| the type More...

## Public Member Functions
| SendData ()
| constructor

## Public Attributes
enum MsWksGraph::SendData::Type | m_type
int | m_id
| the rbil id
MWAWPosition::AnchorTo | m_anchor
| the anchor
int | m_page
| the page ( used if anchor==page)
MWAWVec2i | m_size
| the size of the data ( used by rbil )

## Detailed Description

small struct used which picture need to be send

## Member Enumeration Documentation

## ◆ Type

enum MsWksGraph::SendData::Type

the type

Enumerator
RBDR |
RBIL |
ALL |

## Constructor & Destructor Documentation

## ◆ SendData()

MsWksGraph::SendData::SendData | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_anchor

MWAWPosition::AnchorTo MsWksGraph::SendData::m_anchor

the anchor

Referenced by MsWks4Zone::newPage(), MsWksDRParser::newPage(), MsWksGraphInternal::SubDocument::parse(), MsWks4Zone::readContentZones(), SendData(), MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

## ◆ m_id

int MsWksGraph::SendData::m_id

the rbil id

Referenced by MsWksDRParser::newPage(), MsWksGraphInternal::SubDocument::parse(), SendData(), MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

## ◆ m_page

int MsWksGraph::SendData::m_page

the page ( used if anchor==page)

Referenced by MsWks4Zone::newPage(), MsWksDRParser::newPage(), MsWks4Zone::readContentZones(), SendData(), and MsWksGraph::sendObjects().

## ◆ m_size

MWAWVec2i MsWksGraph::SendData::m_size

the size of the data ( used by rbil )

Referenced by SendData(), MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

## ◆ m_type

enum MsWksGraph::SendData::Type MsWksGraph::SendData::m_type

Referenced by MsWks4Zone::newPage(), MsWksDRParser::newPage(), MsWksGraphInternal::SubDocument::parse(), MsWks4Zone::readContentZones(), SendData(), MsWksGraph::sendObjects(), and MsWksDocument::sendRBIL().

The documentation for this struct was generated from the following file:

- MsWksGraph.hxx